Index: /trunk/gli/clean.bat
===================================================================
--- /trunk/gli/clean.bat	(revision 8312)
+++ /trunk/gli/clean.bat	(revision 8313)
@@ -33,10 +33,7 @@
 if exist "gui\*.class" del "gui\*.class"
 if exist "help\*.class" del "help\*.class"
-if exist "mem\*.class" del "mem\*.class"
 if exist "metadata\*.class" del "metadata\*.class"
-if exist "msm\*.class" del "msm\*.class"
 if exist "shell\*.class" del "shell\*.class"
 if exist "util\*.class" del "util\*.class"
-if exist "valuetree\*.class" del "valuetree\*.class"
 cd ..\..\..\..
 
Index: /trunk/gli/clean.sh
===================================================================
--- /trunk/gli/clean.sh	(revision 8312)
+++ /trunk/gli/clean.sh	(revision 8313)
@@ -26,10 +26,7 @@
 rm -rf gui
 rm -rf help
-rm -rf mem
 rm -rf metadata
-rm -rf msm
 rm -rf shell
 rm -rf util
-rm -rf valuetree
 cd ../../../..
 
Index: /trunk/gli/makegli.bat
===================================================================
--- /trunk/gli/makegli.bat	(revision 8312)
+++ /trunk/gli/makegli.bat	(revision 8313)
@@ -173,11 +173,7 @@
 "%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/gui/tree/*.java
 "%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/help/*.java
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/mem/*.java
 "%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/metadata/*.java
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/msm/*.java
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/msm/parsers/*.java
 "%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/shell/*.java
 "%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/util/*.java
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/valuetree/*.java
 
 if "%GLILANG%" == "en" echo Done!
Index: /trunk/gli/makegli.sh
===================================================================
--- /trunk/gli/makegli.sh	(revision 8312)
+++ /trunk/gli/makegli.sh	(revision 8313)
@@ -164,11 +164,7 @@
 $javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/gui/tree/*.java
 $javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/help/*.java
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/mem/*.java
 $javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/metadata/*.java
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/msm/*.java
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/msm/parsers/*.java
 $javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/shell/*.java
 $javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/util/*.java
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/valuetree/*.java
 
 if [ "$glilang" == "es" ]; then
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/Argument.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/Argument.java	(revision 8312)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/Argument.java	(revision 8313)
@@ -39,5 +39,6 @@
 import org.greenstone.gatherer.collection.Collection;
 import org.greenstone.gatherer.collection.CollectionManager;
-import org.greenstone.gatherer.msm.ElementWrapper;
+import org.greenstone.gatherer.metadata.MetadataElement;
+import org.greenstone.gatherer.metadata.MetadataTools;
 import org.greenstone.gatherer.util.StaticStrings;
 import org.greenstone.gatherer.util.Utility;
@@ -246,44 +247,14 @@
      * @see org.greenstone.gatherer.collection.CollectionManager#getCollection
      */
-    public String getValue() {
-	String value = null;
-	// Only assigned arguments have values. 
-	if(element != null) {
-	    value = XMLTools.getValue(element);
-	    // We may have to retrieve the language dependant string for a metadata element
-	    if(type == METADATUM) {
-		ElementWrapper element_wrapper = Gatherer.c_man.getCollection().msm.getElement(value);
-		if(element_wrapper != null) {
-		    value = element_wrapper.getName();
-		}
-	    }
-	}
-	return value;
-    }
-
-    /** Retrieve the vector of values.
-     * @return an ArrayList of values
-     * @see org.greenstone.gatherer.Gatherer#c_man
-     * @see org.greenstone.gatherer.collection.CollectionManager#getCollection
-     */
-    public ArrayList getValues() {
-	ArrayList values = new ArrayList();
-	// Only assigned arguments have values. 
-	if(element != null) {
-	    String value = XMLTools.getValue(element);
-	    StringTokenizer tokenizer = new StringTokenizer(value, ",");
-	    while(tokenizer.hasMoreTokens()) {
-		String token = tokenizer.nextToken();
-		if(type == METADATA) {
-		    ElementWrapper element_wrapper = Gatherer.c_man.getCollection().msm.getElement(token);
-		    if(element_wrapper != null) {
-			token = element_wrapper.toString();
-		    }
-		}
-		values.add(token);
-	    }
-	}
-	return values;
-    }
+    public String getValue()
+    {
+	// Only assigned arguments have values.
+	if (element == null) {
+	    return null;
+	}
+
+	return XMLTools.getValue(element);
+    }
+
 
     /** Method to determine if this argument has been assigned.
@@ -509,47 +480,53 @@
      * @see org.greenstone.gatherer.util.StaticStrings#SPEECH_CHARACTER
      */
-    public String toString() {
+    public String toString()
+    {
 	StringBuffer text = new StringBuffer("-");
-	if(element != null) {
-	    if(name == null) {
-		name = element.getAttribute(StaticStrings.NAME_ATTRIBUTE);
-	    }
-	    text.append(name);
-	    String value = XMLTools.getValue(element);
-	    if(value.length() > 0) {
-		text.append(StaticStrings.SPACE_CHARACTER);
-		// If the value contains a space, add speech marks
-		if(value.indexOf(StaticStrings.SPACE_CHARACTER) != -1) {
-		    value = StaticStrings.SPEECH_CHARACTER + value + StaticStrings.SPEECH_CHARACTER;
-		}
-		// Tokenize the string
-		StringTokenizer tokenizer = new StringTokenizer(value, ",");
-		while(tokenizer.hasMoreTokens()) {
-		    String token = tokenizer.nextToken();
-		    if(type == METADATA || type == METADATUM) {
-			ElementWrapper element_wrapper = null;
-			// if you click on exit before saving and format statements have changed, this could be null
-			if (Gatherer.c_man.getCollection() != null) {
-			    element_wrapper = Gatherer.c_man.getCollection().msm.getElement(token);
-			}
-			if(element_wrapper != null) {
-			    text.append(element_wrapper.toString());
-			    element_wrapper = null;
-			}
-			else {
-			    text.append(token);
-			}
-		    }
-		    else {
-			text.append(token);
-		    }
-		    token = null;
-		    text.append(StaticStrings.COMMA_CHARACTER);
-		}
-		tokenizer = null;
-		text.deleteCharAt(text.length() - 1);
-	    }
-	    value = null;
-	}
+
+	if (element == null) {
+	    return text.toString();
+	}
+
+	if (name == null) {
+	    name = element.getAttribute(StaticStrings.NAME_ATTRIBUTE);
+	}
+	text.append(name);
+
+	String value = XMLTools.getValue(element);
+	if (value.length() == 0) {
+	    return text.toString();
+	}
+
+	text.append(StaticStrings.SPACE_CHARACTER);
+
+// 	// Handle metadata elements specially
+// 	if (type == METADATA || type == METADATUM) {
+// 	    // Tokenize the string
+// 	    StringTokenizer tokenizer = new StringTokenizer(value, ",");
+// 	    while (tokenizer.hasMoreTokens()) {
+// 		String token = tokenizer.nextToken();
+
+// 		MetadataElement metadata_element = MetadataTools.getMetadataElementWithDisplayName(token);
+// 		if (metadata_element != null) {
+// 		    text.append(metadata_element.getFullName());
+// 		}
+// 		else {
+// 		    text.append(token);
+// 		}
+
+// 		if (tokenizer.hasMoreTokens()) {
+// 		    text.append(StaticStrings.COMMA_CHARACTER);
+// 		}
+// 	    }
+// 	    return text.toString();
+// 	}
+
+	// If the value contains a space, add speech marks
+	//   (Except for metadata elements, which won't have spaces when written out to collect.cfg)
+	if (value.indexOf(StaticStrings.SPACE_CHARACTER) != -1 && !(type == METADATUM || type == METADATA)) {
+	    value = StaticStrings.SPEECH_CHARACTER + value + StaticStrings.SPEECH_CHARACTER;
+	}
+
+	text.append(value);
 	return text.toString();
     }   
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/ArgumentConfiguration.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/ArgumentConfiguration.java	(revision 8312)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/ArgumentConfiguration.java	(revision 8313)
@@ -39,5 +39,6 @@
 import org.greenstone.gatherer.gui.ModalDialog;
 import org.greenstone.gatherer.gui.SimpleMenuBar;
-import org.greenstone.gatherer.msm.ElementWrapper;
+import org.greenstone.gatherer.metadata.MetadataElement;
+import org.greenstone.gatherer.metadata.MetadataSetManager;
 import org.greenstone.gatherer.util.StaticStrings;
 import org.greenstone.gatherer.util.Utility;
@@ -321,4 +322,5 @@
 	    String existing_value = argument.getValue();
 	    String default_value = argument.getDefaultValue();
+
 	    switch(argument.getType()) {
 	    case Argument.ENUM:
@@ -333,5 +335,4 @@
 		Collections.sort(options_model);
 		value = new GComboBox(options_model.toArray(), false);
-		//((JComboBox)value).setEditable(false);
 		((JComboBox)value).addActionListener(new ToolTipUpdater());
 		if(existing_value != null && existing_value.length() > 0) {
@@ -345,20 +346,13 @@
 		}
 		break;
+
 	    case Argument.FLAG:
 		// Only need the check box.
 		break;
+
 	    case Argument.HIERARCHY:
-		value = new GComboBox(Gatherer.c_man.getCollection().msm.getAssignedElements(true), false);
-		/** @TODO - figure out a smarter way of allowing Greenstone extracted metadata to be selected. */
-		//((JComboBox)value).setEditable(false);
-		((JComboBox)value).addItemListener(new HierarchyListener());
-		// Now ensure we have the existing value or default value selected if either exist.
-		if(existing_value != null && existing_value.length() > 0) {
-		    selectValue((JComboBox)value, existing_value);
-		}
-		else if(default_value != null) {
-		    selectValue((JComboBox)value, default_value);
-		}
+		// I don't think these are used any more...
 		break;
+
 	    case Argument.INTEGER:
 		// Build a spinner
@@ -393,39 +387,44 @@
 		value = spinner;
 		break;
+
 	    case Argument.REGEXP:
 	    case Argument.STRING:
-		// Use a standard text field
-		if(existing_value != null && existing_value.length() > 0) {
+		// If there is already a value set for this argument, use it
+		if (existing_value != null && !existing_value.equals("")) {
 		    value = new JTextField(existing_value);
-		}
-		else {
-		    if(default_value != null) {
-			value = new JTextField(default_value);
-		    }
-		    // Special test just for the hfile field.
-		    else if(argument.getName().equals("hfile")) {
-			// Work through previous controls looking for the metadata one.
-			for(int i = 0; i < central_pane.getComponentCount(); i++) {
-			    Object object = central_pane.getComponent(i);
-			    if(object instanceof ArgumentControl) {
-				ArgumentControl control = (ArgumentControl) object;
-				if(control.toString().equals("metadata")) {
-				    Object temp = control.getValue();
-				    if(temp != null) {
-					value = new JTextField(temp.toString() + ".txt");
-				    }
-				}
-
-			    }
-			}
-		    }
-		    else {
-			value = new JTextField();
-		    }
-		}
+		    break;
+		}
+
+		// Use the default value, if there is one
+		if (default_value != null && !default_value.equals("")) {
+		    value = new JTextField(default_value);
+		    break;
+		}
+
+// 		// Special test just for the hfile field.
+// 		if (argument.getName().equals("hfile")) {
+// 		    // Work through previous controls looking for the metadata one.
+// 		    for (int i = 0; i < central_pane.getComponentCount(); i++) {
+// 			Object object = central_pane.getComponent(i);
+// 			if (object instanceof ArgumentControl) {
+// 			    ArgumentControl control = (ArgumentControl) object;
+// 			    if (control.toString().equals("metadata")) {
+// 				Object temp = control.getValue();
+// 				if (temp != null) {
+// 				    value = new JTextField(temp.toString() + ".txt");
+//                                  break;
+// 				}
+// 			    }
+// 			}
+// 		    }
+// 		}
+
+		// Blank field
+		value = new JTextField();
 		break;
+
 	    case Argument.LANGUAGE:
 		value = new GComboBox(CollectionDesignManager.language_manager.getLanguageCodes().toArray(), false);
-		//((JComboBox)value).setEditable(false);
+
 		// Now ensure we have the existing value or default value selected if either exist.
 		Language selected = null;
@@ -440,7 +439,8 @@
 		}
 		break;
+
 	    case Argument.METADATUM:
 	    case Argument.METADATA:
-		value = new GComboBox(Gatherer.c_man.getCollection().msm.getAssignedElements(), false);
+		value = new GComboBox(MetadataSetManager.getEveryMetadataSetElement(), false);
 
 		// Editable for advanced modes (allows things like dc.Title,ex.Title)
@@ -450,16 +450,18 @@
 
 		// Now ensure we have the existing value or default value selected if either exist.
-		if(existing_value != null && existing_value.length() > 0) {
-		    boolean found = selectValue((JComboBox)value, existing_value);
-		    // Its possible that this is a custom value and so doesn't exist in the combobox. If so add it and then select it
-		    if(!found) {
-			((JComboBox)value).addItem(existing_value);
-			((JComboBox)value).setSelectedItem(existing_value);
-		    }
-		}
-		else if(default_value != null) {
-		    selectValue((JComboBox)value, default_value);
+		if (existing_value != null && existing_value.length() > 0) {
+		    boolean found = selectValue((JComboBox) value, existing_value);
+		    // It's possible that this is a custom value and so doesn't exist in the combobox
+		    if (!found) {
+			// If so, add it then select it
+			((JComboBox) value).addItem(existing_value);
+			((JComboBox) value).setSelectedItem(existing_value);
+		    }
+		}
+		else if (default_value != null) {
+		    selectValue((JComboBox) value, default_value);
 		}
 		break;
+
 // ---- Special interface for adding and ordering multiple metadata items ----
 // Turned off at Ian's request!
@@ -467,5 +469,5 @@
 //  		// Comma separated metadata values.
 //  		ArrayList values = argument.getValues();
-//  		value = new GComboBox(Gatherer.c_man.getCollection().msm.getAssignedElements(), false);
+//  		value = new GComboBox(MetadataSetManager.getEveryMetadataSetElement(), false);
 //  		//((JComboBox)value).setEditable(false);
 //  		DefaultListModel model = new DefaultListModel();
@@ -680,8 +682,7 @@
 		case Argument.METADATUM:
 		case Argument.METADATA:
-		    Object new_value_raw = ((JComboBox)value).getSelectedItem();
-		    if(new_value_raw instanceof ElementWrapper) {
-			// Element wrappers are guaranteed to be non-zero length
-			argument.setValue(((ElementWrapper)new_value_raw).getName());
+		    Object new_value_raw = ((JComboBox) value).getSelectedItem();
+		    if (new_value_raw instanceof MetadataElement) {
+			argument.setValue(((MetadataElement) new_value_raw).getFullName());
 		    }
 		    else {
@@ -719,7 +720,7 @@
 //  		    return true;
 		case Argument.HIERARCHY:
-		    argument.setValue(((JComboBox)value).getSelectedItem().toString());
-		    // Kinda lucked out here. Its impossible not to choose an entry from these comboboxes as they are restricted.
-		    argument.setAssigned(true);
+// 		    argument.setValue(((JComboBox)value).getSelectedItem().toString());
+// 		    // Kinda lucked out here. Its impossible not to choose an entry from these comboboxes as they are restricted.
+// 		    argument.setAssigned(true);
 		    return true;
 		case Argument.REGEXP:
@@ -777,5 +778,5 @@
 		    */
 		}
-		else if(object instanceof ElementWrapper) {
+		else if (object instanceof MetadataElement) {
 		    if(object.toString().equals(target)) {
 			combobox.setSelectedIndex(i);
@@ -796,33 +797,33 @@
 	    ((JTextField)value).setText(value_str);
 	}
-	/** Listener which adds entries to a list from a combobox when fired. */
-	private class AddListener
-	    implements ActionListener {
-	    /** The model behind the target list. */
-	    private DefaultListModel model = null;
-      	    /** The source for data to be added to the list. */
-	    private JComboBox source = null;
-	    /** The list to add data to. */
-	    private JList target = null;
-	    /** Constructor.
-	     * @param source A <strong>JComboBox</strong> which serves as the source for data.
-	     * @param target A <strong>JList</strong> which serves as the target for data.
-	     */
-	    public AddListener(JComboBox source, JList target) {
-		this.model = (DefaultListModel) target.getModel();
-		this.source = source;
-		this.target = target;
-	    }
-	    /** When the add button is clicked, we attempt to add the selected metadata from the source into the target.
-	     * @param event An <strong>ActionEvent</strong> containing information about the event.
-	     */
-	    public void actionPerformed(ActionEvent event) {
-		ElementWrapper element = (ElementWrapper) source.getSelectedItem();
-		String name = element.toString();
-		if (!model.contains(name)) {
-		    model.addElement(name);
-		}
-	    }
-	}
+// 	/** Listener which adds entries to a list from a combobox when fired. */
+// 	private class AddListener
+// 	    implements ActionListener {
+// 	    /** The model behind the target list. */
+// 	    private DefaultListModel model = null;
+//       	    /** The source for data to be added to the list. */
+// 	    private JComboBox source = null;
+// 	    /** The list to add data to. */
+// 	    private JList target = null;
+// 	    /** Constructor.
+// 	     * @param source A <strong>JComboBox</strong> which serves as the source for data.
+// 	     * @param target A <strong>JList</strong> which serves as the target for data.
+// 	     */
+// 	    public AddListener(JComboBox source, JList target) {
+// 		this.model = (DefaultListModel) target.getModel();
+// 		this.source = source;
+// 		this.target = target;
+// 	    }
+// 	    /** When the add button is clicked, we attempt to add the selected metadata from the source into the target.
+// 	     * @param event An <strong>ActionEvent</strong> containing information about the event.
+// 	     */
+// 	    public void actionPerformed(ActionEvent event) {
+// 		ElementWrapper element = (ElementWrapper) source.getSelectedItem();
+// 		String name = element.toString();
+// 		if (!model.contains(name)) {
+// 		    model.addElement(name);
+// 		}
+// 	    }
+// 	}
 	/** Listens for actions apon the enable checkbox, and if detected enables or diables control appropriately. */
 	private class EnabledListener
@@ -896,27 +897,27 @@
 	}
 	/** If a metadata element is selected that requires an hfile, then this listener defaults that hfile. */
-	private class HierarchyListener
-	    implements ItemListener {
-	    /** Any implementation of ItemListener must include this method so that we can be informed when an item from the list is selected, and generate a predetermined hfile for that selection.
-	     * @param event An <strong>ItemEvent</strong> containing information about the selection.
-	     * @see org.greenstone.gatherer.cdm.ArgumentConfiguration.ArgumentControl
-	     */
-	    public void itemStateChanged(ItemEvent event) {
-		// Determine if the selected element represents a hierarchy.
-		Object temp = ((JComboBox)value).getSelectedItem();
-		String filename = temp.toString();
-		// Search for a argument control called hfile and enable and set value.
-		for(int i = 0; i < central_pane.getComponentCount(); i++) {
-		    Object object = central_pane.getComponent(i);
-		    if(object instanceof ArgumentControl) {
-			ArgumentControl control = (ArgumentControl) object;
-			if(control.toString().equals("hfile")) {
-			    control.setValue(filename + ".txt");
-			    control.setEnabled(true);
-			}
-		    }
-		}
-	    }
-	}
+// 	private class HierarchyListener
+// 	    implements ItemListener {
+// 	    /** Any implementation of ItemListener must include this method so that we can be informed when an item from the list is selected, and generate a predetermined hfile for that selection.
+// 	     * @param event An <strong>ItemEvent</strong> containing information about the selection.
+// 	     * @see org.greenstone.gatherer.cdm.ArgumentConfiguration.ArgumentControl
+// 	     */
+// 	    public void itemStateChanged(ItemEvent event) {
+// 		// Determine if the selected element represents a hierarchy.
+// 		Object temp = ((JComboBox)value).getSelectedItem();
+// 		String filename = temp.toString();
+// 		// Search for a argument control called hfile and enable and set value.
+// 		for(int i = 0; i < central_pane.getComponentCount(); i++) {
+// 		    Object object = central_pane.getComponent(i);
+// 		    if(object instanceof ArgumentControl) {
+// 			ArgumentControl control = (ArgumentControl) object;
+// 			if(control.toString().equals("hfile")) {
+// 			    control.setValue(filename + ".txt");
+// 			    control.setEnabled(true);
+// 			}
+// 		    }
+// 		}
+// 	    }
+// 	}
 	/** A ListOption is a compound item which is constructed from several Strings. That magic part is that the length of screen real-estate used by the text version of this item is limited. */
 	private class ListOption
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 8312)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 8313)
@@ -36,4 +36,6 @@
 import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.GLIButton;
+import org.greenstone.gatherer.metadata.MetadataElement;
+import org.greenstone.gatherer.metadata.MetadataTools;
 import org.greenstone.gatherer.util.DOMTree;
 import org.greenstone.gatherer.util.Codec;
@@ -538,17 +540,22 @@
 
 		// Remove the extracted metadata namespaces if required
-		if (!show_extracted_namespace && value_str.length() > 0) {
+		if (value_str.length() > 0) {
 		    StringTokenizer string_tokenizer = new StringTokenizer(value_str, ",");
 		    value_str = "";
 		    while (string_tokenizer.hasMoreElements()) {
 			String token = (String) string_tokenizer.nextElement();
+			MetadataElement metadata_element = MetadataTools.getMetadataElementWithDisplayName(token);
+			if (metadata_element != null) {
+			    token = metadata_element.getFullName();
+			}
+
 			if (token.startsWith(StaticStrings.EXTRACTED_NAMESPACE)) {
 			    token = token.substring(StaticStrings.EXTRACTED_NAMESPACE.length());
 			}
 
-			if (!value_str.equals("")) {
+			value_str = value_str + token;
+			if (string_tokenizer.hasMoreElements()) {
 			    value_str = value_str + ",";
 			}
-			value_str = value_str + token;
 		    }
 		}
@@ -1138,6 +1145,13 @@
 			while (string_tokenizer.hasMoreElements()) {
 			    String token = (String) string_tokenizer.nextElement();
+
 			    if (token.indexOf(StaticStrings.NS_SEP) == -1) {
 				token = StaticStrings.EXTRACTED_NAMESPACE + token;
+			    }
+			    else {
+				MetadataElement metadata_element = MetadataTools.getMetadataElementWithName(token);
+				if (metadata_element != null) {
+				    token = metadata_element.getDisplayName();
+				}
 			    }
 
@@ -1472,5 +1486,5 @@
 			}
 			if(name.equals(METADATA_ARGUMENT)) {
-				// The metadata argument must be the fully qualified name of a metadata element, so if it doesn't yet have a namespace, append the extracted metadata namespace.
+			    // The metadata argument must be the fully qualified name of a metadata element, so if it doesn't yet have a namespace, append the extracted metadata namespace.
 			    if(value.indexOf(StaticStrings.NS_SEP) == -1) {
 				value = StaticStrings.EXTRACTED_NAMESPACE + value;
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 8312)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 8313)
@@ -27,9 +27,5 @@
 package org.greenstone.gatherer.cdm;
 
-/**************************************************************************************
- * Written:     06/05/02
- * Revised:     04/10/02 - Commented
- *              14/07/03 - DOM support
- **************************************************************************************/
+
 import java.awt.*;
 import java.awt.event.*;
@@ -42,5 +38,6 @@
 import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.GLIButton;
-import org.greenstone.gatherer.msm.ElementWrapper;
+import org.greenstone.gatherer.metadata.MetadataElement;
+import org.greenstone.gatherer.metadata.MetadataSetManager;
 import org.greenstone.gatherer.util.StaticStrings;
 import org.greenstone.gatherer.util.Utility;
@@ -208,4 +205,8 @@
 	ArrayList variable_model = new ArrayList();
 	variable_model.add("[Text]");
+	ArrayList every_metadata_set_element = MetadataSetManager.getEveryMetadataSetElement();
+	for (int i = 0; i < every_metadata_set_element.size(); i++) {
+	    variable_model.add("[" + ((MetadataElement) every_metadata_set_element.get(i)).getFullName() + "]");
+	}
 	variable_model.add("[link]");
 	variable_model.add("[/link]");
@@ -216,9 +217,4 @@
 	variable_model.add("[parent(Top):_]");
 	variable_model.add("[parent(All'_'):_]");
-	Vector elements = Gatherer.c_man.getCollection().msm.getAssignedElements();
-	for(int i = 0; i < elements.size(); i++) {
-	    variable_model.add("[" + ((ElementWrapper)elements.get(i)).getName() + "]");
-	}
-	Collections.sort(variable_model);
 	return variable_model;
     }
@@ -236,5 +232,4 @@
 	private HashMap default_mappings;
 	private JButton add_button;
-	//private JButton default_button;
 	private JButton insert_button;
 	private JButton remove_button;
@@ -311,9 +306,4 @@
 	    Dictionary.registerText(editor_label, "CDM.FormatManager.Editor");
 
-	    //default_button = new GLIButton();
-	    //default_button.setEnabled(false);
-	    //default_button.setMnemonic(KeyEvent.VK_D);
-	    //Dictionary.registerBoth(default_button, "CDM.FormatManager.Default_Format", "CDM.FormatManager.Default_Format_Tooltip");
-	    
 	    editor_textarea = new JTextArea();
 	    editor_textarea.setBackground(Configuration.getColor("coloring.editable_background", false));
